From 0119aaa684ed7e3ba6d9cb795afcd17fd3e4ae90 Mon Sep 17 00:00:00 2001
From: Slaven Rezic <slaven@rezic.de>
Date: Thu, 14 Jun 2018 08:01:25 +0200
Subject: [PATCH] do not lock temporary files (RT #51281)

This is required on BSD systems (FreeBSD, MacOSX ...), otherwise the
test suite would hang. It is effectively a no-op on other systems
(Linux ...).
---
 t/06_pod_tidy_process_pod_queue.t | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/t/06_pod_tidy_process_pod_queue.t b/t/06_pod_tidy_process_pod_queue.t
index 40ec32c..70f5b9e 100644
--- a/t/06_pod_tidy_process_pod_queue.t
+++ b/t/06_pod_tidy_process_pod_queue.t
@@ -18,7 +18,7 @@ use Test::Pod::Tidy;
 
 {
     my $dir = tempdir( CLEANUP => 1 );
-    my $tmp_valid = File::Temp->new( DIR => $dir );
+    my $tmp_valid = File::Temp->new( DIR => $dir, EXLOCK => 0 );
 
     print $tmp_valid $MESSY_POD;
     $tmp_valid->flush;
@@ -36,7 +36,7 @@ use Test::Pod::Tidy;
 
 {
     my $dir = tempdir( CLEANUP => 1 );
-    my $tmp_valid = File::Temp->new( DIR => $dir );
+    my $tmp_valid = File::Temp->new( DIR => $dir, EXLOCK => 0 );
 
     print $tmp_valid $MESSY_POD;
     $tmp_valid->flush;
@@ -57,7 +57,7 @@ use Test::Pod::Tidy;
 
 {
     my $dir = tempdir( CLEANUP => 1 );
-    my $tmp_valid = File::Temp->new( DIR => $dir );
+    my $tmp_valid = File::Temp->new( DIR => $dir, EXLOCK => 0 );
 
     print $tmp_valid $MESSY_POD;
     $tmp_valid->flush;
-- 
2.1.4

